
## Jan 22. Dipole velocity model

#lowcut
seis.lin.%.lc.H: seis.lin.%.H  
	<$< Bandpass flo=2 > $@

img.abc0.H: seis.lin.abc0.lowcut.H
	$B/CudaRTM2d.gpux par=par/reflDp.P vel=vel/velAbc0.H \
	src_snap=src.snap.abmc0-g.H wavelet=rickerb.H recv_snap=recv.snap.abmc0-g.H \
	seis_record=$< ${dumps} \
	do_offset=1 \
	final_off_image=$@ final_image=imgabc0.H 



dS.abc.H: vel/velAbc.H vel/velAbc0.H
	Math file1=vel/velAbc0.H file2=vel/velAbc.H exp='1/file1-1/file2' > $@

#  src_snap=src.snap.s2-g.H recv_snap=recv.snap.s2-g.H

#Do fwd and ajoint operation to Test the WET operators.

#Background velocity alwaOFF2ANG:ys uniform 1000, reflector for born data always at reflDp.H
#Four vel model, constant up 1100, constant down 900
#High Vel anomaly 1100, low vel anomaly 900

vel/vel0.H:
	cp vel/velAbc0.H $@

#constant up/down
vel/vel.c1.H: 
	Vel n1=170 n2=552 n3=1 o3=0 d3=1 o1=0 o2=0 vc=1100 d1=10 d2=10 > $@
vel/vel.c2.H: 
	Vel n1=170 n2=552 n3=1 o3=0 d3=1 o1=0 o2=0 vc=900 d1=10 d2=10 > $@
#anomaly up/down
vel/vel.a1.H: $B/lens_twin.x 
	$< nx=552 nz=170 dx=10 dz=10 x11=2760 x13=800 x21=4000 x23=845 \
		width1=500 height1=400 \
		alpha1=-0.1 alpha2=0 zref=1200 v0=1000	\
	refl=reflDp.H bvel=vel/vel0.H >$@
vel/vel.a2.H: $B/lens_twin.x
	$< nx=552 nz=170 dx=10 dz=10 x11=2760 x13=845 x21=4000 x23=845 \
		width1=500 height1=400 \
		alpha1=+0.1 alpha2=0 zref=1200 v0=1000	\
	refl=reflDp.H bvel=vel/vel0.H >$@

vel/vel.a3.H: $B/lens_twin.x
	$< nx=552 nz=170 dx=10 dz=10 x11=2000 x13=700 x21=3700 x23=700 \
		width1=500 height1=300 \
	alpha1=-0.1 alpha2=0.1 zref=1200 v0=1000	\
	refl=reflDp.H bvel=vel/vel0.H > $@

img.abmc0.H: seis.lin.abmc0.lc.H
	$B/CudaRTM2d.gpux par=par/reflDp.P vel=vel/velAbc0.H \
	src_snap=src.snap.abmc0-g.H wavelet=rickerb.H recv_snap=recv.snap.abmc0-g.H \
	seis_record=$< ${dumps} \
	do_offset=1 \
	final_off_image=$@ final_image=imgabc0.H 

#data seperately
seis.lin.c1.H: vel/vel.c1.H
	$B/CudaModeling2d.gpux par=par/reflmDp.P vel=$< \
	src_snap=src.snap.H wavelet=rickerb.H \
	src_snap2=src2.snap.H refl_model=reflDp.H \
	seis_record=$@ is_linear_modeling=1 \
	take_2nd_deriv_adjRTM=0 ${dumps}

seis.lin.c2.H: vel/vel.c2.H
	$B/CudaModeling2d.gpux par=par/reflmDp.P vel=$< \
	src_snap=src.snap.H wavelet=rickerb.H \
	src_snap2=src2.snap.H refl_model=reflDp.H \
	seis_record=$@ is_linear_modeling=1 \
	take_2nd_deriv_adjRTM=0 ${dumps}

seis.lin.a1.H: vel/vel.a1.H
	$B/CudaModeling2d.gpux par=par/reflmDp.P vel=$< \
	src_snap=src.snap.H wavelet=rickerb.H \
	src_snap2=src2.snap.H refl_model=reflDp.H \
	seis_record=$@ is_linear_modeling=1 \
	take_2nd_deriv_adjRTM=0 ${dumps}
seis.lin.a2.H: vel/vel.a2.H
	$B/CudaModeling2d.gpux par=par/reflmDp.P vel=$< \
	src_snap=src.snap.H wavelet=rickerb.H \
	src_snap2=src2.snap.H refl_model=reflDp.H \
	seis_record=$@ is_linear_modeling=1 \
	take_2nd_deriv_adjRTM=0 ${dumps}

seis.lin.a3.H: vel/vel.a3.H
	$B/CudaModeling2d.gpux par=par/reflmDp.P vel=$< \
	src_snap=src.snap.H wavelet=rickerb.H \
	src_snap2=src2.snap.H refl_model=reflDp.H \
	seis_record=$@ is_linear_modeling=1 \
	take_2nd_deriv_adjRTM=0 ${dumps}
#Initial RTM Image

#True image
Ih.c1T.H: seis.lin.c1.lc.H 
	$B/CudaRTM2d.gpux par=par/reflmDp.P vel=vel/vel.c1.H \
	wavelet=rickerb.H  \
	seis_record=$< ${dumps} \
	do_offset=1 \
	final_off_image=$@ final_image=I.c1T.H \
	images=Is.c1T.H
Ih.c1.H: seis.lin.c1.lc.H  
	$B/CudaRTM2d.gpux par=par/reflmDp.P vel=vel/vel0.H \
	wavelet=rickerb.H  \
	seis_record=$< ${dumps} \
	do_offset=1 \
	final_off_image=$@ final_image=I.c1.H \
	images=Is.c1.H
Ih.c2.H: seis.lin.c2.lc.H  
	$B/CudaRTM2d.gpux par=par/reflmDp.P vel=vel/vel0.H \
	wavelet=rickerb.H  \
	seis_record=$< ${dumps} \
	do_offset=1 \
	final_off_image=$@ final_image=I.c2.H \
	images=Is.c2.H

Ih.a1.H: seis.lin.a1.lc.H  
	$B/CudaRTM2d.gpux par=par/reflmDp.P vel=vel/vel0.H \
	wavelet=rickerb.H  \
	seis_record=$< ${dumps} \
	do_offset=1 \
	final_off_image=$@ final_image=I.a1.H \
	images=Is.a1.H gpuID=0
Ih.a1T.H: seis.lin.a1.lc.H  
	$B/CudaRTM2d.gpux par=par/reflmDp.P vel=vel/vel.a1.H \
	wavelet=rickerb.H  \
	seis_record=$< ${dumps} \
	do_offset=1 \
	final_off_image=$@ final_image=I.a1T.H \
	images=Is.a1T.H gpuID=2

Ih.a2.H: seis.lin.a2.lc.H  
	$B/CudaRTM2d.gpux par=par/reflmDp.P vel=vel/vel0.H \
	wavelet=rickerb.H  \
	seis_record=$< ${dumps} \
	do_offset=1 \
	final_off_image=$@ final_image=I.a2.H \
	images=Is.a2.H

Ih.a3.H: seis.lin.a3.lc.H  
	$B/CudaRTM2d.gpux par=par/reflmDp.P vel=vel/vel0.H \
	wavelet=rickerb.H  \
	seis_record=$< ${dumps} \
	do_offset=1 \
	final_off_image=$@ final_image=I.a3.H \
	images=Is.a3.H

#The forward operator
dS.c1.H: vel/vel.c1.H
	Math file1=vel/vel0.H file2=$< exp='1/file2-1/file1' >$@
dS.c2.H: vel/vel.c2.H
	Math file1=vel/vel0.H file2=$< exp='1/file2-1/file1' >$@
dS.a1.H: vel/vel.a1.H
	Math file1=vel/vel0.H file2=$< exp='1/file2-1/file1' >$@
dS.a2.H: vel/vel.a2.H
	Math file1=vel/vel0.H file2=$< exp='1/file2-1/file1' >$@
dS.a3.H: vel/vel.a3.H
	Math file1=vel/vel0.H file2=$< exp='1/file2-1/file1' >$@

#Be noticed that the size of dS is of vel model, not of image size, but we do interpolation 
#during each shot, so it is fine
#deltaS->deltaI
dI.c1.H: seis.lin.c1.lc.H
	$B/CudaTomFwd.gpux par=par/reflmDp.P vel=vel/vel0.H \
	 wavelet=rickerb.H  \
	data_obs=$< ${dumps} \
	do_offset=1 deltaS=dS.c1.H \
	>$@ deltaIh=dIh.c1.H deltaIs=dIs.c1.H

dI.c2.H: seis.lin.c2.lc.H dS.c2.H
	$B/CudaTomFwd.gpux par=par/reflmDp.P vel=vel/vel0.H \
	 wavelet=rickerb.H  \
	data_obs=$< ${dumps} \
	do_offset=1 deltaS=dS.c2.H \
	>$@ deltaIh=dIh.c2.H
dI.a1.H: seis.lin.a1.lc.H dS.a1.H
	$B/CudaTomFwd.gpux par=par/reflmDp.P vel=vel/vel0.H \
	 wavelet=rickerb.H  \
	data_obs=$< ${dumps} \
	do_offset=1 deltaS=dS.a1.H	\
	>$@ deltaIh=dIh.a1.H 

dIh.N.a1.H: Ih.a1T.H Ih.a1.H
	Math file1=$< file2=Ih.a1.H exp='file1-file2' >$@

dI.a2.H:  seis.lin.a2.lc.H dS.a2.H
	$B/CudaTomFwd.gpux par=par/reflmDp.P vel=vel/vel0.H \
	 wavelet=rickerb.H  \
	data_obs=$< ${dumps} \
	do_offset=1 deltaS=dS.a2.H \
	>$@ deltaIh=dIh.a2.H

dI.a3.H:  seis.lin.a3.lc.H dS.a3.H
	$B/CudaTomFwd.gpux par=par/reflmDp.P vel=vel/vel0.H \
	 wavelet=rickerb.H  \
	data_obs=$< ${dumps} \
	do_offset=1 deltaS=dS.a3.H \
	>$@ deltaIh=dIh.a3.H

#Adj, Back project to slowness space
#deltaI -> deltaS
dSn.c1.H: seis.lin.c1.lc.H
	$B/CudaTomAdj.gpux par=par/reflmDp.P vel=vel/vel0.H \
	 wavelet=rickerb.H  data_obs=$< ${dumps} \
	do_offset=1 deltaSs=dSs.c1.H \
	>$@ deltaIh=dIh.c1.H \
	src_snap=src.adj.snap.c1.H recv_snap=recv.adj.snap.c1.H \
	src_snap2=src2.adj.snap.c1.H recv_snap2=recv2.adj.snap.c1.H 

dSn.c2.H: seis.lin.c2.lc.H
	$B/CudaTomAdj.gpux par=par/reflmDp.P vel=vel/vel0.H \
	 wavelet=rickerb.H  data_obs=$< ${dumps} \
	do_offset=1 deltaSs=dSs.c2.H \
	>$@ deltaIh=dIh.c2.H \
	src_snap=src.adj.snap.c2.H recv_snap=recv.adj.snap.c2.H \
	src_snap2=src2.adj.snap.c2.H recv_snap2=recv2.adj.snap.c2.H 

dSn.a1.H: seis.lin.a1.lc.H
	$B/CudaTomAdj.gpux par=par/reflmDp.P vel=vel/vel0.H \
	 wavelet=rickerb.H  data_obs=$< ${dumps} \
	do_offset=1 deltaSs=dSs.a1.H \
	>$@ deltaIh=dIh.old.a1.H \
	src_snap=src.adj.snap.a1.H recv_snap=recv.adj.snap.a1.H \
	src_snap2=src2.adj.snap.a1.H recv_snap2=recv2.adj.snap.a1.H \

dSn.N.a1.H: seis.lin.a1.lc.H
	$B/CudaTomAdj.gpux par=par/reflmDp.P vel=vel/vel0.H \
	 wavelet=rickerb.H  data_obs=$< ${dumps} \
	do_offset=1 deltaSs=dSs.N.a1.H \
	>$@ deltaIh=dIh.N.a1.H \
	src_snap=src.adj.snap.N.a1.H recv_snap=recv.adj.snap.N.a1.H \
	src_snap2=src2.adj.snap.N.a1.H recv_snap2=recv2.adj.snap.N.a1.H 

dSn.a2.H: seis.lin.a2.lc.H
	$B/CudaTomAdj.gpux par=par/reflmDp.P vel=vel/vel0.H \
	 wavelet=rickerb.H  data_obs=$< ${dumps} \
	do_offset=1 deltaSs=dSs.a2.H \
	>$@ deltaIh=dIh.a2.H \
	src_snap=src.adj.snap.a2.H recv_snap=recv.adj.snap.a2.H \
	src_snap2=src2.adj.snap.a2.H recv_snap2=recv2.adj.snap.a2.H 

dSn.a3.H: seis.lin.a3.lc.H
	$B/CudaTomAdj.gpux par=par/reflmDp.P vel=vel/vel0.H \
	 wavelet=rickerb.H  data_obs=$< ${dumps} \
	do_offset=1 deltaSs=dSs.a3.H \
	>$@ deltaIh=dIh.a3.H \
	src_snap=src.adj.snap.a3.H recv_snap=recv.adj.snap.a3.H \
	src_snap2=src2.adj.snap.a3.H recv_snap2=recv2.adj.snap.a3.H 

##Do DSO back Proj
#Single shot for debug
grad-6.sg.H: seis.lin.abc0.lc.H
	$B/CudaBeamWET_refl_grad.gpux par=par/reflDp.P vel=vel/velAbc0.H \
	 wavelet=rickerb.H data_obs=$< ${dumps} \
	do_offset=1 \
	objFunc=6 >$@ \
	backProjImage=bpi.sg.H initImage=I0-6.sg.H \
	src_snap=src.snap.6.sg.H recv_snap=recv.snap.6.sg.H \
	src_snap2=src2.snap.6.sg.H recv_snap2=recv2.snap.6.sg.H 

grad-6.c1.H: seis.lin.c1.lc.H
	$B/CudaBeamWET_refl_grad.gpux par=par/reflmDp.P vel=vel/vel0.H \
	 wavelet=rickerb.H data_obs=$< ${dumps} \
	do_offset=1 \
	objFunc=6 >$@ \
	backProjImage=bpi.c1.H initImage=I0-6.c1.H \
	src_snap=src.snap.6.c1.H recv_snap=recv.snap.6.c1.H \
	src_snap2=src2.snap.6.c1.H recv_snap2=recv2.snap.6.c1.H 

grad-6.c2.H: seis.lin.c2.lc.H
	$B/CudaBeamWET_refl_grad.gpux par=par/reflmDp.P vel=vel/vel0.H \
	 wavelet=rickerb.H data_obs=$< ${dumps} \
	do_offset=1 \
	objFunc=6 >$@ \
	backProjImage=bpi.c2.H initImage=I0-6.c2.H \
	src_snap=src.snap.6.c2.H recv_snap=recv.snap.6.c2.H \
	src_snap2=src2.snap.6.c2.H recv_snap2=recv2.snap.6.c2.H \
	gpuID=0

grad-6.a1.H: seis.lin.a1.lc.H
	$B/CudaBeamWET_refl_grad.gpux par=par/reflmDp.P vel=vel/vel0.H \
	 wavelet=rickerb.H data_obs=$< ${dumps} \
	do_offset=1 \
	objFunc=6 >$@ \
	backProjImage=bpi.a1.H initImage=I0-6.a1.H \
	src_snap=src.snap.6.a1.H recv_snap=recv.snap.6.a1.H \
	src_snap2=src2.snap.6.a1.H recv_snap2=recv2.snap.6.a1.H 

grad-6.a2.H: seis.lin.a2.lc.H
	$B/CudaBeamWET_refl_grad.gpux par=par/reflmDp.P vel=vel/vel0.H \
	 wavelet=rickerb.H data_obs=$< ${dumps} \
	do_offset=1 \
	objFunc=6 >$@ \
	backProjImage=bpi.a2.H initImage=I0-6.a2.H \
	src_snap=src.snap.6.a2.H recv_snap=recv.snap.6.a2.H \
	src_snap2=src2.snap.6.a2.H recv_snap2=recv2.snap.6.a2.H \


#	snap1=snap1.H snap2=snap2.H




###Test Ali's case ##################################################
Ali = ali_wemva_results
wavA.H: ${Ali}/wemva11_wavelet.H
	<$< Window max1=1.0 >$@
	echo "peakFreq=30" >> $@

#Initial velocity, Padding
velA.0.H: ${Ali}/vel_init.H
	< $< Pad beg1=40 end1=40 beg2=40 end2=40 extend=1 >$@

#slownesss perturbation
const_pos.H: ${Ali}/const_pos.H
	< $< Pad beg1=40 end1=40 beg2=40 end2=40 extend=1 >$@
const_neg.H: ${Ali}/const_neg.H
	< $< Pad beg1=40 end1=40 beg2=40 end2=40 extend=1 >$@
gauss_pos.H: ${Ali}/gauss_pos.H
	< $< Pad beg1=40 end1=40 beg2=40 end2=40 extend=1 >$@
gauss_neg.H: ${Ali}/gauss_neg.H
	< $< Pad beg1=40 end1=40 beg2=40 end2=40 extend=1 >$@

#single shot for program test
dataA.H: ${Ali}/wemva11_data_const_pos_nodir.H
	<$< Window f3=0 n3=1 >$@

#Initial RTM Image
imgA.c1.H: ${Ali}/wemva11_data_const_pos_nodir.H
	$B/CudaRTM2d.gpux par=par/wemvaAli.P vel=velA.0.H \
	 wavelet=wavA.H  \
	seis_record=$< ${dumps} \
	do_offset=1 \
	final_off_image=$@ final_image=imgAc1.H images=imgsA.c1.H \
	src_snap=src.snapA.c1.H recv_snap=recv.snapA.c1.H


#Be noticed that the size of dS is of vel model, not of image size.
#deltaS->deltaI
TdI.A.c1.H: dataA.H const_pos.H
	$B/CudaTomFwd.gpux par=par/wAli1.P vel=velA.0.H \
	 wavelet=wavA.H  \
	data_obs=$< ${dumps} \
	do_offset=1 deltaS=const_pos.H \
	>$@ deltaIh=TdIh.A.c1.H deltaIs=TdIs.A.c1.H \
	src_snap=Tsrc.fwd.snapA.c1.H recv_snap=Trecv.fwd.snapA.c1.H \
	src_snap2=Tsrc2.fwd.snapA.c1.H recv_snap2=Trecv2.fwd.snapA.c1.H 

dI.A.c1.H: ${Ali}/wemva11_data_const_pos_nodir.H const_pos.H
	$B/CudaTomFwd.gpux par=par/wemvaAli.P vel=velA.0.H \
	 wavelet=wavA.H  \
	data_obs=$< ${dumps} \
	do_offset=1 deltaS=const_pos.H \
	>$@ deltaIh=dIh.A.c1.H deltaIs=dIs.A.c1.H \
	src_snap=src.fwd.snapA.c1.H recv_snap=recv.fwd.snapA.c1.H \
	src_snap2=src2.fwd.snapA.c1.H recv_snap2=recv2.fwd.snapA.c1.H 

dI.A.c2.H: ${Ali}/wemva11_data_const_neg_nodir.H ${Ali}/const_neg.H
	$B/CudaTomFwd.gpux par=par/wemvaAli.P vel=velA.0.H \
	 wavelet=wavA.H \
	data_obs=$< ${dumps} \
	do_offset=1 deltaS=const_neg.H \
	>$@ deltaIh=dIh.A.c2.H deltaIs=dIs.A.c2.H \
	src_snap=src.fwd.snapA.c2.H recv_snap=recv.fwd.snapA.c2.H \
	src_snap2=src2.fwd.snapA.c2.H recv_snap2=recv2.fwd.snapA.c1.H

dI.A.a1.H: ${Ali}/wemva11_data_gauss_pos_nodir.H gauss_pos.H
	$B/CudaTomFwd.gpux par=par/wemvaAli.P vel=velA.0.H \
	wavelet=wavA.H  \
	data_obs=$< ${dumps} \
	do_offset=1 deltaS=gauss_pos.H \
	>$@ deltaIh=dIh.A.a1.H deltaIs=dIs.A.a1.H \
	src_snap=src.fwd.snapA.a1.H recv_snap=recv.fwd.snapA.a1.H \
	src_snap2=src2.fwd.snapA.a1.H recv_snap2=recv2.fwd.snapA.a1.H 

dI.A.a2.H: ${Ali}/wemva11_data_gauss_neg_nodir.H gauss_neg.H
	$B/CudaTomFwd.gpux par=par/wemvaAli.P vel=velA.0.H \
	wavelet=wavA.H  \
	data_obs=$< ${dumps} \
	do_offset=1 deltaS=gauss_neg.H \
	>$@ deltaIh=dIh.A.a2.H deltaIs=dIs.A.a2.H \
	src_snap=src.fwd.snapA.a2.H recv_snap=recv.fwd.snapA.a2.H \
	src_snap2=src2.fwd.snapA.a2.H recv_snap2=recv2.fwd.snapA.a2.H 

#Adjoint Tomo deltaI->deltaS
#single shot
TdS.A.c1.H: dataA.H 
	$B/CudaTomAdj.gpux par=par/wAli1.P vel=velA.0.H \
	 wavelet=wavA.H  data_obs=$< ${dumps} \
	do_offset=1 deltaSs=TdSs.A.c1.H \
	>$@ deltaIh=TdIh.A.c1.H \
	src_snap=Tsrc.adj.snapA.c1.H recv_snap=Trecv.adj.snapA.c1.H \
	src_snap2=Tsrc2.adj.snapA.c1.H recv_snap2=Trecv2.adj.snapA.c1.H 

dS.A.c1.H: ${Ali}/wemva11_data_const_pos_nodir.H 
	$B/CudaTomAdj.gpux par=par/wemvaAli.P vel=velA.0.H \
	 wavelet=wavA.H  data_obs=$< ${dumps} \
	do_offset=1 deltaSs=dSs.A.c1.H \
	>$@ deltaIh=dIh.A.c1.H \
	src_snap=src.adj.snapA.c1.H recv_snap=recv.adj.snapA.c1.H \
	src_snap2=src2.adj.snapA.c1.H recv_snap2=recv2.adj.snapA.c1.H 
dS.A.c2.H: ${Ali}/wemva11_data_const_neg_nodir.H 
	$B/CudaTomAdj.gpux par=par/wemvaAli.P vel=velA.0.H \
	 wavelet=wavA.H  data_obs=$< ${dumps} \
	do_offset=1 deltaSs=dSs.A.c2.H \
	>$@ deltaIh=dIh.A.c2.H \
	src_snap=src.adj.snapA.c2.H recv_snap=recv.adj.snapA.c2.H \
	src_snap2=src2.adj.snapA.c2.H recv_snap2=recv2.adj.snapA.c2.H 
dS.A.a1.H: ${Ali}/wemva11_data_gauss_pos_nodir.H 
	$B/CudaTomAdj.gpux par=par/wemvaAli.P vel=velA.0.H \
	 wavelet=wavA.H  data_obs=$< ${dumps} \
	do_offset=1 deltaSs=dSs.A.a1.H \
	>$@ deltaIh=dIh.A.a1.H \
	src_snap=src.adj.snapA.a1.H recv_snap=recv.adj.snapA.a1.H \
	src_snap2=src2.adj.snapA.a1.H recv_snap2=recv2.adj.snapA.a1.H 
dS.A.a2.H: ${Ali}/wemva11_data_gauss_neg_nodir.H 
	$B/CudaTomAdj.gpux par=par/wemvaAli.P vel=velA.0.H \
	 wavelet=wavA.H  data_obs=$< ${dumps} \
	do_offset=1 deltaSs=dSs.A.a2.H \
	>$@ deltaIh=dIh.A.a2.H \
	src_snap=src.adj.snapA.a2.H recv_snap=recv.adj.snapA.a2.H \
	src_snap2=src2.adj.snapA.a2.H recv_snap2=recv2.adj.snapA.a2.H 

#Do gradient DSO
grad-6.A.c1.H: ${Ali}/wemva11_data_const_pos_nodir.H 
	$B/CudaBeamWET_refl_grad.gpux par=par/wemvaAli.P vel=velA.0.H \
	 wavelet=wavA.H data_obs=$< ${dumps} \
	do_offset=1 objFunc=6 >$@ \
	backProjImage=bpi.A.c1.H initImage=I0-6.A.c1.H \
	src_snap=src.snapA.6.c1.H recv_snap=recv.snapA.6.c1.H \
	src_snap2=src2.snapA.6.c1.H recv_snap2=recv2.snapA.6.c1.H 
grad-6.A.c2.H: ${Ali}/wemva11_data_const_neg_nodir.H 
	$B/CudaBeamWET_refl_grad.gpux par=par/wemvaAli.P vel=velA.0.H \
	 wavelet=wavA.H data_obs=$< ${dumps} \
	do_offset=1 objFunc=6 >$@ \
	backProjImage=bpi.A.c2.H initImage=I0-6.A.c2.H \
	src_snap=src.snapA.6.c2.H recv_snap=recv.snapA.6.c2.H \
	src_snap2=src2.snapA.6.c2.H recv_snap2=recv2.snapA.6.c2.H 
grad-6.A.a1.H: ${Ali}/wemva11_data_gauss_pos_nodir.H 
	$B/CudaBeamWET_refl_grad.gpux par=par/wemvaAli.P vel=velA.0.H \
	 wavelet=wavA.H data_obs=$< ${dumps} \
	do_offset=1 objFunc=6 >$@ \
	backProjImage=bpi.A.a1.H initImage=I0-6.A.a1.H \
	src_snap=src.snapA.6.a1.H recv_snap=recv.snapA.6.a1.H \
	src_snap2=src2.snapA.6.a1.H recv_snap2=recv2.snapA.6.a1.H \
	gpuID=0

grad-6.A.a2.H: ${Ali}/wemva11_data_gauss_neg_nodir.H 
	$B/CudaBeamWET_refl_grad.gpux par=par/wemvaAli.P vel=velA.0.H \
	 wavelet=wavA.H data_obs=$< ${dumps} \
	do_offset=1 objFunc=6 >$@ \
	backProjImage=bpi.A.a2.H initImage=I0-6.A.a2.H \
	src_snap=src.snapA.6.a2.H recv_snap=recv.snapA.6.a2.H \
	src_snap2=src2.snapA.6.a2.H recv_snap2=recv2.snapA.6.a2.H \
	gpuID=2

