#ifndef STD_AFX__C__H
#define STD_AFX__C__H

#include <stdlib.h>
extern "C" {
#include <seplib.h>
#include <sep3d.h>
}
#include <assert.h>
#include <math.h>

//MACRO CONSTS
#define MAX_CHAR_BUF 4096

extern bool gVerb; //if verbose
extern bool gIsLogging; //if enable logging


void verbPrt(char* form, ...);
void prt(char* form,...);
void dbPrt(char* form,...);

//print the error and exit
void errPrt(char* form,...);

#define LOGC(word) \
	if (gIsLogging) \
		{fprintf(stderr,"\n%s:%d;  %s" ,__FILE__, __LINE__,#word);}


#define VERIFYC(S) {   \
  if(!(S))   \
   {  \
   fprintf(stderr,"\n%s:%d;!! %s Did not pass verify",__FILE__,__LINE__,#S); \
	  abort();\
	  exit(0); \
   }}
    
#endif
