#include "stdafx.h"
#include "sep_params.h"
#include "cubeData.hpp"
#include "tagHack.h"


using namespace Yang;
using namespace std;

//See if I can hack the tag file system in seplib
int main( int argc, char** argv){
  
   //Read params
   auto_ptr<sep_params> pars(new sep_params(argc,argv));
   
   cubeData<float> input("in",dm::IN,"");
   input.init(NULL);
   
   char fileName[256], tag[256];
   srand(time(NULL));
   //random gen filename
   int iRand = rand()%65535;
   sprintf(fileName,"TTH%d.H", iRand);
   sprintf(tag,"TTH%d", iRand);
   string sszTag(tag);
   VERIFY(!tagExist(sszTag));
   bool bInput = false;
   addNewSepTag(tag, bInput, fileName );
   
   cubeData<float> output(input.domain());
   output = input;
   output.scale(0.5);
   output.dump(tag,true);
   output.dump("tag2");
   int i,n; float o,d;
   i = 1; n=10; o = d = 10.0f;
   //sep_put_data_axis_par(tag,&i,&n,&o,&d,fileName);
   prt("\nSee if successfully dumped to file %s with tag=%s \n", fileName,tag);
   input.unInit();
   
}


