#include "stdafx.h"
#include "cubeData.hpp"
#include "modelingFD_aux.h"

using namespace Yang;

propagateParams::propagateParams(const propagateParams& other):
  mOffImgParams(other.mOffImgParams), ndim(other.ndim),
  m_nShots(other.m_nShots),mShot1_ix(other.mShot1_ix), mShot1_iz(other.mShot1_ix),
  mShotIncX(other.mShotIncX),
  mTrace1ix(other.mTrace1ix),mTrace1iz(other.mTrace1iz),
  mTraceIncX(other.mTraceIncX),m_nTraces(other.m_nTraces),
  j_shot_snap(other.j_shot_snap), f_shot_snap(other.f_shot_snap),
  n_shot_snap(other.n_shot_snap), mImposeRecvType(other.mImposeRecvType),
  velModelShape(other.velModelShape), modelGridShape(other.modelGridShape),
  mShapeWavfield(other.mShapeWavfield) {
  //Copy the values but not the pointers, EXCEPT velocity and wavelet, cause they
  //will for sure reuse it.
  pVel = other.pVel;
  pWavelet = other.pWavelet;
}

