#include "myOMP.h"
#include <iostream>
#include <omp.h>

using namespace std;
//init OMP, set the number of threads
void init_omp(int numOfProcToSave)
{
#ifdef _OPENMP
	cerr<<"With openMP support"<<endl;
	int totalThreads = omp_get_max_threads();
	cerr<<"Max Num of threads avail: "<< totalThreads << endl;
	int num = totalThreads - numOfProcToSave;
	if (num<1) num=1;
	omp_set_num_threads(num);
#else
	cerr<<"No OpenMP support"<<endl;
#endif
}
