#include "stdafx.h"
#include <stdarg.h>
//Define some global parameters
bool gVerb = true;
bool gIsLogging = true;

std::vector<std::string> g_szVecCallStack;
char g_szCallStackTrc[4096];


//
bool equalf(const float& x,const float& y) {
  if (fabs(y)>0.0f) {
    if (fabs(y)<epsilon) {
      prt("\n The x,y value is very small in equalf, %f,%f! \n",x,y);
    }
    return (fabs((x/y-1))<10*epsilon);
  } else {
    return fabs(x-y)<epsilon;
  }
}

//Print for program output
void verbPrt(char* format, ...)
{
   if (gVerb) {
	  //fprintf(stderr,"%s:%d;",__FILE__,__LINE__); USELESS, marco __FILE__ needs to expand on-situ
      va_list args;
      va_start (args,format);
      vfprintf (stderr, format, args);
      va_end(args);
   }
   //else do nothing
}

void prt(char* format, ...)
{
	  //fprintf(stderr,"%s:%d;",__FILE__,__LINE__);
      va_list args;
      va_start (args,format);
      vfprintf (stderr, format, args);
      va_end(args); 
}

void errPrt(char* format, ...)
{
	  //fprintf(stderr,"%s:%d;",__FILE__,__LINE__);
      va_list args;
      va_start (args,format);
      vfprintf (stderr, format, args);
      va_end(args); 
	  raise(SIGSEGV);
}

void dbPrt(char* format,...){
#ifndef NDEBUG
   //fprintf(stderr,"%s:%d;",__FILE__,__LINE__);
   va_list args;
   va_start (args,format);
   vfprintf (stderr, format, args);
   va_end(args);
#endif
}
