%%Generate ricker wavelet. Always place it at the center.

addpath ~/Research/matlab/nick

%% Joke 
his_g = load_history('H12-3-4.H');
d = load_data(his_g);
H2 = d.data(:,:,2);
gh = (-7:7) * 10;
res2 = conv(H2,gh);
H1 = d.data(:,:,1);
fh = (-7:7) * 10; fh = fh.*fh;
res1 = conv(H1,fh);
x = 150:10:150+10*(526-61);
subplot(1,2,1); plot(x,res1(31:1:end-30));set(gca,'fontsize',12); axis([0 5000 -0.5 1.0]); title('(a)'); xlabel('x(m)');
subplot(1,2,2); plot(x,res2(31:1:end-30));set(gca,'fontsize',12); axis([0 5000 -0.5 1.0]); title('(b)'); xlabel('x(m)');
res = res1+res2;
figure; plot(x,res(31:1:end-30)); set(gca,'fontsize',14); xlabel('x(m)');
figure; plot(x,res2(31:1:end-30)); set(gca,'fontsize',12); axis([0 5000 -0.5 1.0]); title('H2 * g(h)'); xlabel('x(m)')
%%

hisC = load_history('dump7.H');
hisC1 = load_history('dump6.H');
hisC2 = load_history('dump8.H');

d = load_data(hisC);
d1 = load_data(hisC1);
d2 = load_data(hisC2);

%%
dd = d.data(:,1);
dd1 = d1.data(:,1);
dd2 = d2.data(:,1);


dt=0.0019;
t = -0.2280:0.0019:-0.2280+0.0019*240;

%%
d1f = [diff(dd);0]/dt;
plot(t,d1f,t,dd1,'r');

%% 
d2f = [diff(diff(dd))/(dt*dt);0;0];
plot(t,d2f,t,d,t,d2,'r');

%% Calculate the scan parameters
clc; clear all;
vtrue = 1000; v0 = 1200;
deltaS = (1/vtrue - 1/v0);
h = 2560; dZ = 900;
hdZ_sqrt = sqrt(h*h + dZ*dZ);
bmax = h/(hdZ_sqrt) * deltaS;  %at the edge
amax = (dZ*dZ) / (dZ.^3) * deltaS;  %at the center
dhMax = 140;
maxMoveoutA = amax * dhMax * dhMax * 1000;
maxMoveoutB = bmax * dhMax * 1000;

%% B spline in Biondo's thesis
dx = 1.0; ddx = dx/100;
x = -3*dx : ddx : 3*dx;
ind1 = (x<-2*dx);
ind2 = (x>=-2*dx & x<-dx);
ind3 = (x>=-dx & x<0);
ind4 = (x>=0 & x<dx);
ind5 = (x>=dx & x<2*dx);
ind6 = (x>=2*dx);
Fx = zeros(size(x));
tmp=(2*dx+x).^3/(6*dx^3); Fx(ind2) = tmp(ind2); 
tmp=(-x).^3/(2*dx^3) - (-x).^2/(dx^2) + 2/3; Fx(ind3) = tmp(ind3); 
tmp=(x).^3/(2*dx^3) - (x).^2/(dx^2) + 2/3; Fx(ind4) = tmp(ind4); 
tmp=(2*dx-x).^3/(6*dx^3); Fx(ind5) = tmp(ind5); 
plot(x,Fx);