#ifndef __VELANA_PARAM_H_INCL__
#define __VELANA_PARAM_H_INCL__

#include "param_func.h"
#include "velAna.h"
#include "WEMVA.h"
// TODO: your code here
namespace Yang {
  class FWI_FD;
  class WEMVA_FD;
  
  void read_velAna_param(velAnaParam* pParam, param_func* pars);  
  void read_WEMVA_param(WEMVA_Param* pParam, param_func* pars);
  void read_FWI_param(FWI_Param *pFWIparam, param_func* pars);
  WEMVA_FD* create_WEMVA_obj(velAnaParam* pVApar, FDModelingParams* pModelPar, modelingOp* pModelingObj, WEMVA_Param* pWEMVApar, param_func* pars);
  FWI_FD* create_FWI_obj(velAnaParam* pVApar, FDModelingParams* pModelPar, modelingFDgen_op* pModelingObj, FWI_Param* pFWIpar, param_func* pars);  
}//end namepsace
#endif // __VELANA_PARAM_H_INCL__

